'use strict';

var _chai = require('chai');

var _chai2 = _interopRequireDefault(_chai);

var _sinonChai = require('sinon-chai');

var _sinonChai2 = _interopRequireDefault(_sinonChai);

var _chaiAsPromised = require('chai-as-promised');

var _chaiAsPromised2 = _interopRequireDefault(_chaiAsPromised);

var _FormCollection = require('./FormCollection');

var _FormCollection2 = _interopRequireDefault(_FormCollection);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-unused-expressions */
_chai2.default.use(_sinonChai2.default);
_chai2.default.use(_chaiAsPromised2.default);

var form = {
  name: 'test'
};

describe('FormCollection', function () {
  it('add', function () {
    _FormCollection2.default.add(form);
    (0, _chai.expect)(_FormCollection2.default.get('test').name).to.eql('test');
  });
  it('remove', function () {
    _FormCollection2.default.add(form);
    _FormCollection2.default.remove('test');
    (0, _chai.expect)(_FormCollection2.default.get('test')).to.eql(undefined);
  });
  it('reset', function () {
    _FormCollection2.default.add(form);
    _FormCollection2.default.reset();
    (0, _chai.expect)(_FormCollection2.default.forms.size).to.eql(0);
  });
});